환경 설정 조회인증 필요
API를 사용할 서버의 환경설정 값을 조회합니다.
문서 작성 시 사용할 수 있는 서명만료 기한(expire_list)과 문서 분류(doc_categories)를 함께 내려줍니다.
Response Body
expire_listExpireKey array필수문서 작성시 vexpire_in에 입력할 수 있는 값 목록
remain_doc_countint발송가능 문서 건수 (미사용)
remain_pointint필수보유포인트
doc_categoriesDocCategory array필수문서 작성시 사용할 분류 목록
ExpireKey object
| 키 | 타입 | 길이 | 설명 |
|---|---|---|---|
| key | int | 5 | 문서생성시 vexpire_in 항목에 입력할 수 있는 값 |
| comment | string | 10 | 설명 |
DocCategory object
| 키 | 타입 | 길이 | 설명 |
|---|---|---|---|
| seq | string | 20 | 문서생성시 doc_category_seq 항목에 입력할 수 있는 값 |
| category_name | string | 20 | 분류명 |
| category_code | string | 20 | 분류코드 |
| display_order | string | 10 | 화면표시 순서 |
| use_button | string | 1 | 수신인이 제출하는 버튼 존재 여부 (Y/N) |
| button_label | string | 20 | 제출 버튼 레이블 |
/api/v1/configShell · cURLcurl --location --request GET \
'https://www.paysign.co.kr/api/v1/config' \
--header 'Api-Id: {발급받은 API아이디}' \
--header 'Authorization: Bearer {발급받은 API토큰}' \
--header 'Content-Type: application/json'{
"expire_list": [
{ "key": 24, "comment": "1 일" },
{ "key": 48, "comment": "2 일" },
{ "key": 3000, "comment": "5 개월" },
{ "key": 4361, "comment": "6 개월" }
],
"remain_doc_count": 100,
"doc_categories": [
{
"seq": "1",
"category_name": "계약서",
"category_code": "CONTRACT",
"display_order": "10",
"use_button": "Y",
"button_label": "확인"
},
{
"seq": "6",
"category_name": "동의서",
"category_code": "AGREEMENT",
"display_order": "50",
"use_button": "N",
"button_label": null
}
]
}